#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include <mgrx.h>

int demo_string(char *fname, char *s, int xorg, int yorg)
{
    GrFont *f;
    GrTextOption grt;
    int ret;

    f = GrLoadFont(fname);
    if (f == NULL) exit(1);

    grt.txo_font = f;
    grt.txo_fgcolor = GrWhite();
    grt.txo_bgcolor = GrNOCOLOR;
    grt.txo_chrtype = GR_BYTE_TEXT;
    grt.txo_direct = GR_TEXT_RIGHT;
    grt.txo_xalign = GR_ALIGN_LEFT;
    grt.txo_yalign = GR_ALIGN_TOP;
    GrDrawString(s, 0, xorg, yorg, &grt);

    ret = GrFontStringHeight(f, s, 0, GR_BYTE_TEXT);
    GrUnloadFont(f);
    return ret;
}

int main()
{
    GrEvent ev;
    int xorg = 30;
    int yorg = 80;

    GrSetMode(GR_width_height_bpp_graphics, 1400, 800, 8);

    GrBox(0, 0, GrMaxX(), GrMaxY(), GrWhite());
    GrBox(2, 2, GrMaxX()-2, GrMaxY()-2, GrWhite());

    yorg += demo_string("scriptc1.fnt", "MGRX a C graphics library", xorg, yorg) * 1.5;
    yorg += demo_string("scriptc2.fnt", "MGRX a C graphics library", xorg, yorg) * 1.0;
    yorg += demo_string("scriptc3.fnt", "MGRX a C graphics library", xorg, yorg) * 1.5;
    yorg += 10;
    yorg += demo_string("gothgbt1.fnt", "MGRX a C graphics library", xorg, yorg) * 1.5;
    yorg += demo_string("gothgbt2.fnt", "MGRX a C graphics library", xorg, yorg) * 1.2;
    yorg += demo_string("gothgbt3.fnt", "MGRX a C graphics library", xorg, yorg) * 1.5;

    GrEventWaitKeyOrClick(&ev);
    GrSetMode(GR_default_text);

    return 0;
}
